defaults = {
    'apt': {
        'packages': {
            'netdata': {},
        },
    },
    'icinga2_api': {
        'netdata': {
            'services': {
                'NETDATA PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -C netdata -c 1:',
                },
            },
        },
    },
}


@metadata_reactor.provides(
    'iptables/bundle_rules/netdata',
)
def iptables(metadata):
    interfaces = metadata.get('netdata/restrict-to-interfaces', set())
    iptables = []

    if len(interfaces):
        for iface in sorted(interfaces):
            iptables.append(f'iptables_both -A INPUT -i {iface} -p tcp --dport 19999 -j ACCEPT')

    else:
        iptables.append('iptables_both -A INPUT -p tcp --dport 19999 -j ACCEPT')

    return {
        'iptables': {
            'bundle_rules': {
                'netdata': iptables,
            },
        },
    }
